# Generated from documentation-test-0.4.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name documentation-test

Name: rubygem-%{gem_name}
Version: 0.4.1
Release: 1%{?dist}
Summary: Test for integration of specific yard templates on rubydoc.info
License: BSD-3-Clause
URL: https://github.com/klaxit/documentation-test
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.4.0
BuildArch: noarch

%description
Some description.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.yardopts
%{gem_libdir}
%{gem_instdir}/my_module_handler.rb
%{gem_instdir}/yard_extentions.rb
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/doc

%changelog
* Mon Sep 13 2021 mockbuilder - 0.4.1-1
- Initial package
